# Class CIM_VolatileStorage
extends CIM_Memory

Capabilities and management of Volatile Storage.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_LogicalDevice
|
+--CIM_StorageExtent
|
+--CIM_Memory
|
+--CIM_VolatileStorage

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_Memory
Description | string | Capabilities and management of Volatile Storage.
UMLPackagePath | string | CIM::Device::Memory
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Cacheable | boolean |
Deprecated | string | CIM_AssociatedCacheMemory
Description | string | Indicates whether this Memory can be cached or not.
MappingStrings | string | MIF.DMTF|System Resource Memory Info|002.5
CacheType | uint16 |
Deprecated | string | CIM_AssociatedCacheMemory.WritePolicy
Description | string | An enumeration indicating the cache type that is compatible with this Memory. For example, 4 indicates write-through cache. If the Cacheable property is set to false, then this property does not have meaning and should be set to 5, "Not Applicable".
MappingStrings | string | MIF.DMTF|System Resource Memory Info|002.6
ValueMap | string | 1, 2, 3, 4, 5
Values | string | Other, Unknown, Write-Back, Write-Through, Not Applicable

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Access | uint16 | CIM_StorageExtent
Availability | uint16 | CIM_LogicalDevice
BlockSize | uint64 | CIM_StorageExtent
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
ConsumableBlocks | uint64 | CIM_StorageExtent
CorrectableError | boolean | CIM_Memory
CreationClassName | string | CIM_LogicalDevice
DataOrganization | uint16 | CIM_StorageExtent
DataRedundancy | uint16 | CIM_StorageExtent
DeltaReservation | uint8 | CIM_StorageExtent
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
DeviceID | string | CIM_LogicalDevice
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
EndingAddress | uint64 | CIM_Memory
ErrorAccess | uint16 | CIM_Memory
ErrorAddress | uint64 | CIM_Memory
ErrorCleared | boolean | CIM_LogicalDevice
ErrorDataOrder | uint16 | CIM_Memory
ErrorDescription | string | CIM_LogicalDevice
ErrorInfo | uint16 | CIM_Memory
ErrorMethodology | string | CIM_Memory
ErrorResolution | uint64 | CIM_Memory
ErrorTime | datetime | CIM_Memory
ErrorTransferSize | uint32 | CIM_Memory
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
IsBasedOnUnderlyingRedundancy | boolean | CIM_StorageExtent
LastErrorCode | uint32 | CIM_LogicalDevice
MaxQuiesceTime | uint64 | CIM_LogicalDevice
Name | string | CIM_StorageExtent
NameFormat | uint16 | CIM_StorageExtent
NameNamespace | uint16 | CIM_StorageExtent
NoSinglePointOfFailure | boolean | CIM_StorageExtent
NumberOfBlocks | uint64 | CIM_StorageExtent
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
OtherErrorDescription | string | CIM_Memory
OtherNameFormat | string | CIM_StorageExtent
OtherNameNamespace | string | CIM_StorageExtent
PackageRedundancy | uint16 | CIM_StorageExtent
PowerManagementSupported | boolean | CIM_LogicalDevice
PowerOnHours | uint64 | CIM_LogicalDevice
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Primordial | boolean | CIM_StorageExtent
Purpose | string | CIM_StorageExtent
RequestedState | uint16 | CIM_EnabledLogicalElement
SequentialAccess | boolean | CIM_StorageExtent
StartingAddress | uint64 | CIM_Memory
Status | string | CIM_ManagedSystemElement
StatusInfo | uint16 | CIM_LogicalDevice
SystemCreationClassName | string | CIM_LogicalDevice
SystemLevelAddress | boolean | CIM_Memory
SystemName | string | CIM_LogicalDevice
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TotalPowerOnHours | uint64 | CIM_LogicalDevice
TransitioningToState | uint16 | CIM_EnabledLogicalElement
Volatile | boolean | CIM_Memory
AdditionalAvailability | uint16[] | CIM_LogicalDevice
AdditionalErrorData | uint8[] | CIM_Memory
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
ErrorData | uint8[] | CIM_Memory
ExtentStatus | uint16[] | CIM_StorageExtent
IdentifyingDescriptions | string[] | CIM_LogicalDevice
OperationalStatus | uint16[] | CIM_ManagedSystemElement
OtherIdentifyingInfo | string[] | CIM_LogicalDevice
PowerManagementCapabilities | uint16[] | CIM_LogicalDevice
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
EnableDevice | uint32 | CIM_LogicalDevice
OnlineDevice | uint32 | CIM_LogicalDevice
QuiesceDevice | uint32 | CIM_LogicalDevice
RequestStateChange | uint32 | CIM_EnabledLogicalElement
Reset | uint32 | CIM_LogicalDevice
RestoreProperties | uint32 | CIM_LogicalDevice
SaveProperties | uint32 | CIM_LogicalDevice
SetPowerState | uint32 | CIM_LogicalDevice